Unit tsf55r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF55R_p;

function tsf55r: String;

implementation

function tsf55r: String;
var
IERR :Integer;
DF,X,P :Real;
begin
Result := '';  {   }
DF := 1.0;
X := 0.325;
P := SF55R(X,DF,IERR);
Result := Result + Format('%s',[' DF=']);
Result := Result + Format('%20.16f ',[DF]);
Result := Result + Format('%s',['  X=']);
Result := Result + Format('%20.16f ',[X]);
Result := Result + Format('%s',['  P=']);
Result := Result + Format('%20.16f ',[P]) + #$0D#$0A;
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('tsf55r',Result);  {     tsf55r.res }
exit;
end;

end.
